CVE-2015-3646

Published: 12 May 2015

OpenStack Identity (Keystone) before 2014.1.5 and 2014.2.x before 2014.2.4 logs the backend_argument configuration option content, which allows remote authenticated users to obtain passwords and other sensitive backend information by reading the Keystone logs.

From the Ubuntu security team

seth-arnold> Upstream mentions kilo not affected mdeslaur> not going to be fixed before 14.10 goes EoL

Priority

Medium

Status

Package Release Status
keystone
Launchpad, Ubuntu, Debian
Upstream
Released (2015.1.0-1)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was not-affected [1:2014.1.5-0ubuntu1])
Patches:
Upstream: https://review.openstack.org/175519 (icehouse)
Upstream: https://review.openstack.org/173116 (juno)